Class | Chef::Formatters::ErrorInspectors::CompileErrorInspector
In: | lib/chef/formatters/error_inspectors/compile_error_inspector.rb
Parent: | Object

## CompileErrorInspector

Wraps exceptions that occur during the compile phase of a Chef run and tries to find the code responsible for the error.

### Methods

add_explanation context culprit_backtrace_entry culprit_file culprit_line display_lower_bound display_upper_bound file_lines filtered_bt new

### Attributes

exception | [R] |
path | [R] |

### Public Class methods

new(path, exception)

### Public Instance methods

add_explanation(error_description)
context()
culprit_backtrace_entry()
culprit_file()
culprit_line()
display_lower_bound()
display_upper_bound()
file_lines()
filtered_bt()

[Validate]